# Backup extension
backup_ext=cn10-upgrade

# carnet-upgrade aborts if these packages are not up to date
# name		wanted version
needed_versions='
amavisd-cn	3:2.10.1~cn2
aosi-aai	3.9.3
aosi-www-aai	1:2.9.1
apache2-cn	2.4.25~cn1
bind9-cn	2:9.10.3~cn0
carnet-tools-cn	3.2.2
clamav-cn	4:0.99.4~cn0
debian-archive-keyring	
dovecot-cn	1:2.2.27~cn1
fail2ban-cn	0.9.6~cn0
freeradius-aai	3.0.12~srce4
iptables-cn	2:1.6.0~cn0
kernel-cn	3:4.9.0~cn0
mailman-cn	2:2.1.23~cn0
monit-cn	1:5.20.0~cn0
munin-cn	2.0.33.1
mysql-cn	2:5.5.9999
ntp-cn		2:4.2.8.p10
openldap-aai	2.4.44~srce8
openssh-cn	2:6.7p1.5
php7.0-cn	7.0.33~cn0
postfix-cn	3.1.8~cn2
spamassassin-cn	2:3.4.1~cn1
vsftpd-cn	3.0.3
webalizer-cn	1:2.23.08~cn1
'

# URL to use for checking the latest version of carnet-upgrade itself
packages_uri='http://ftp.carnet.hr/carnet-debian/dists/carnet-buster/main/binary-i386/Packages'

# Packages to forcibly install before installing the rest with dist-upgrade,
# because dist-upgrade would rather remove or keep them back them.
packages_first='
postgresql-client unixodbc iptables oidentd libpam-modules procps base-passwd ifupdown
'

# Packages that provide crucial services, upgrade them before the rest
packages_second='
amavisd-cn
amavis-stats-cn
aosi-aai
aosi-www-aai
bind9-cn bind9
clamav-cn clamav-daemon
dovecot-cn
freeradius-aai freeradius
isc-dhcp-client
kernel-cn
monit-cn
munin-cn
mariadb-cn mariadb-client mariadb-server
ntp-cn
openldap-aai
openssh-cn openssh-server openssh-client ssh
ossec-hids-cn
postfix-cn
spamassassin-cn	spamassassin razor
vsftpd-cn
webalizer-cn
xinetd-cn xinetd	
'

# We want to remove these packages, used in remove_bloat()
# nice name		packages to remove
bloats='
apache		apache apache-cn
gobjc gpc gcj gij chill g77		gcc-2.95-cn gcc-cn gcc-misc-cn gobjc gpc gcj gij chill g77
nessus		libnessus2 nessus-cn
ntop		ntop ntop-cn
prelude piwi	piwi piwi-cn libprelude0 prelude-sensors-cn prelude-manager-cn prelude-manager
snort		snort snort-cn snort-central-cn
squid		squid squid-cn
stari CN paketi	autoconf-cn automake-cn bison-cn bitchx-cn chkrootkit-cn cvs-cn diff-cn elinks-cn expect-cn file-cn flex-cn gawk-cn gdb-cn gettext-cn gnupg-cn grep-cn iptraf-cn jed-cn joe-cn less-cn lftp-cn logcheck-cn logrotate-cn lsof-cn ltrace-cn lynx-cn make-cn mutt-cn netcat-cn nmap-cn ntop-cn openssl-cn perl-cn procmail-cn python-cn razor-cn screen-cn slrn-cn strace-cn stunnel-cn sudo-cn sys-mon-cn tcpdump-cn telnet-ssl-cn telnetd-ssl unace-cn vim-cn wget-cn wv-cn ytalk-cn zsh-cn
usbmgr		usbmgr
'
# CN services to offer for removal
cn_bloats='
aide-cn aide-central-cn aide
alpine-cn alpine alpine-pico
amavisd-cn amavisd-new
amavis-stats-cn amavis-stats
bind9-cn bind9
clamav-cn clamav-daemon clamav-freshclam clamav clamav-base
dovecot-cn dovecot dovecot-imapd dovecot-pop3d dovecot-common
kernel-source-cn
jre-cn sun-java6-jre sun-java6-bin sun-java6-fonts
mailman-cn mailman
mrtg-cn mrtg
munin-cn munin munin-node
mysql-cn mysql-client mysql-server mysql-common
oidentd-cn oidentd
samba-cn samba smbclient
spamassassin-cn spamassassin spamc razor dcc-client
squirrelmail-cn squirrelmail squirrelmail-locales
vsftpd-cn vsftpd
webalizer-cn webalizer
xinetd-cn xinetd
'

# simulate deborphan
orphaned_packages='
libsensors4
diff
libcompress-zlib-perl
dhcp3-client
dhcp3-common
mktemp
libxapian22
libdb4.6
'

# new packages to be installed
new_packages='
ocsinventory-agent-cn
mlocate
'

# Check if these services are running after upgrade
# package-cn		user		proces (pazi, regexp)			nice name
services_to_check='
amavisd-cn		amavis		/usr/sbin/amavisd-new [(]master[)]	Amavis
aosi-aai		aosi		/usr/sbin/aosi				AOSI
apache2-cn		www-data	/usr/sbin/apache2			Apache2
bind9-cn		bind		/usr/sbin/named				Bind
clamav-cn		clamav		/usr/bin/freshclam			ClamAV update
clamav-cn		clamav		/usr/sbin/clamd				ClamAV
dovecot-cn		root		/usr/sbin/dovecot			Dovecot
freeradius-aai		freerad		/usr/sbin/freeradius			FreeRADIUS
mailman-cn		list		/usr/lib/mailman/bin/mailmanctl		Mailman
monit-cn		root		/usr/bin/monit				Monit
munin-cn		root		munin-node				Munin
mariadb-cn		mysql		/usr/sbin/mysqld			MariaDB
ntp-cn			ntp		/usr/sbin/ntpd				NTP
oidentd-cn		oident		/usr/sbin/oidentd			oidentd
openldap-aai		openldap	/usr/sbin/slapd				OpenLDAP
openssh-cn		root		/usr/sbin/sshd				OpenSSH
ossec-hids-cn		ossecm		/var/ossec/bin/ossec			OSSec
postfix-cn		root		/usr/lib/postfix/sbin/master		Postfix
postfix-cn		root		/usr/sbin/saslauthd			SASL authentication
samba-cn		root		/usr/sbin/smbd				Samba
vsftpd-cn		root		/usr/sbin/vsftpd			VSFTPD
xinetd-cn		root		/usr/sbin/xinetd			xinetd
'
